# Sample Cucumber test using the SWAGLABS site
@login_feature
Feature: Login
Description: Demonstration of cucumber with Junit, and Playwright

  Background:
    Given User has a functional browser
    When User navigates to the Swaglabs site
    Then User can see the SwagLabs login page

  Scenario Outline: Login to SwagLabs Application with Correct credentials
    Given Unauthenticated user is at the SwagLabs login page
    When User logs in using username "<UserName>" and password "<Password>"
    Then User can see product "<ProductName>"

    Examples:
      | UserName | Password | ProductName |
      | standard_user | secret_sauce | Sauce Labs Backpack |

